com.holonplatform.core.beans

## Interface BeanConfigProperties

- All Superinterfaces:
    ConfigPropertySet
  All Known Implementing Classes:
    BeanConfigProperties.BeanConfigPropertiesImpl

      public interface BeanConfigProperties
      extends ConfigPropertySet

  A `ConfigPropertySet` for bean related configuration.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `BeanConfigProperties.BeanConfigPropertiesImpl` Default implementation

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `ConfigPropertySet.Builder<C extends ConfigPropertySet>, ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ConfigProperty<Boolean>` | `BEAN_INTROSPECTOR_CACHE_ENABLED` Enable or disable caching for bean informations collected by a `BeanIntrospector`.
    `static String` | `NAME` Configuration property set name

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigPropertySet.Builder<BeanConfigProperties>` | `builder()` Builder to create property set instances bound to a property data source
    `default String` | `getName()` Configuration property set name, used as property definition prefix.
    `default boolean` | `isBeanIntrospectorCacheEnabled()` Gets whether the `BeanIntrospector` cache is enabled.

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Field Detail

    - #### NAME

          static final String NAME

      Configuration property set name
      See Also:
        Constant Field Values

    - #### BEAN_INTROSPECTOR_CACHE_ENABLED

          static final ConfigProperty<Boolean> BEAN_INTROSPECTOR_CACHE_ENABLED

      Enable or disable caching for bean informations collected by a `BeanIntrospector`.

  - ### Method Detail

    - #### getName

          default String getName()

      Description copied from interface: `ConfigPropertySet`
      Configuration property set name, used as property definition prefix.
      Specified by:
        `getName` in interface `ConfigPropertySet`
      Returns:
        Configuration properties set name (not null)

    - #### isBeanIntrospectorCacheEnabled

          default boolean isBeanIntrospectorCacheEnabled()

      Gets whether the `BeanIntrospector` cache is enabled.
      Returns:
        `true` if cache is enabled
      See Also:
        `BEAN_INTROSPECTOR_CACHE_ENABLED`

    - #### builder

          static ConfigPropertySet.Builder<BeanConfigProperties> builder()

      Builder to create property set instances bound to a property data source
      Returns:
        ConfigPropertySet builder

Copyright © 2019 The Holon Platform. All rights reserved.